=== icons/CMakeLists.txt ===
install (FILES ${PROJECT_NAME}_24x24.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/apps
         RENAME ${PROJECT_NAME}.png)

install (FILES ${PROJECT_NAME}_32x32.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
         RENAME ${PROJECT_NAME}.png)

install (FILES ${PROJECT_NAME}_48x48.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps
         RENAME ${PROJECT_NAME}.png)

install (FILES ${PROJECT_NAME}_64x64.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
         RENAME ${PROJECT_NAME}.png)

install (FILES ${PROJECT_NAME}_128x128.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps
         RENAME ${PROJECT_NAME}.png)

install (FILES ${PROJECT_NAME}.svgz
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps )
