=== debian/watch ===
version=4

https://github.com/pedrolcl/dmidiplayer/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
