## dmidiplayer-dmo 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Drumstick MIDI File Player Multiplatform Program
-# Copyright (C) 2006-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2006-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -15,15 +15,15 @@
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.14)
-set(CMAKE_OSX_DEPLOYMENT_TARGET "10.12" CACHE STRING "Minimum OS X deployment version")
 
 project ( dmidiplayer
-    VERSION 1.4.0
+    VERSION 1.7.1
     LANGUAGES CXX
     DESCRIPTION "Drumstick MIDI File Player Multiplatform Program"
     HOMEPAGE_URL "https://sourceforge.net/p/dmidiplayer/"
 )
 
+set(PROJECT_RELEASE_DATE "Dec 6, 2022")
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -33,21 +33,30 @@
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
-option(BUILD_DOCS "Build man pages" ON)
+option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
+option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
 
 include(SCMRevision)
 
-find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
-find_package (Qt${QT_VERSION_MAJOR} COMPONENTS Gui Widgets PrintSupport LinguistTools REQUIRED)
-find_package (Drumstick 2.3 COMPONENTS File RT Widgets REQUIRED)
-
-find_package( PkgConfig )
+if (USE_QT)
+    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
+        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
+    endif()
+    find_package(QT NAMES Qt${USE_QT})
+else()
+    find_package(QT NAMES Qt5 Qt6)
+endif()
+
+find_package (Qt${QT_VERSION_MAJOR} 5.15 COMPONENTS Gui Widgets PrintSupport LinguistTools REQUIRED)
+if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
+    find_package (Qt6Core5Compat REQUIRED)
+endif()
+
+find_package (Drumstick 2.7 COMPONENTS File RT Widgets REQUIRED)
+
+find_package ( PkgConfig )
 pkg_check_modules( UCHARDET REQUIRED IMPORTED_TARGET uchardet )
-
-if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
-    find_package(Qt6 COMPONENTS Core5Compat REQUIRED)
-endif()
 
 SET(SOURCES
     channels.cpp
@@ -61,10 +70,18 @@
     guiplayer.h
     guiplayer.qrc
     guiplayer.ui
+    helpwindow.cpp
+    helpwindow.h
+    docs/help.qrc
+    framelesswindow.cpp
+    framelesswindow.h
     iconutils.cpp
     iconutils.h
     instrumentset.cpp
     instrumentset.h
+    loopdialog.cpp
+    loopdialog.h
+    loopdialog.ui
     lyrics.cpp
     lyrics.h
     pianola.cpp
@@ -109,7 +126,11 @@
 
 set ( TRANSLATIONS
    translations/${PROJECT_NAME}_cs.ts
+   translations/${PROJECT_NAME}_de.ts
    translations/${PROJECT_NAME}_es.ts
+   translations/${PROJECT_NAME}_fr.ts
+   translations/${PROJECT_NAME}_gl.ts
+   translations/${PROJECT_NAME}_it.ts
    translations/${PROJECT_NAME}_ru.ts
 )
 
@@ -121,14 +142,27 @@
 add_custom_target (translations ALL DEPENDS ${QM_FILES})
 include(TranslationUtils)
 
+get_target_property(DRUMSTICK_LOCATION Drumstick::Widgets LOCATION)
+get_filename_component(DRUMSTICK_PREFIX ${DRUMSTICK_LOCATION} DIRECTORY)
+get_filename_component(DRUMSTICK_PREFIX ${DRUMSTICK_PREFIX} DIRECTORY)
+
+if (EXISTS ${DRUMSTICK_PREFIX}/share/drumstick/)
+    file(GLOB WIDGETS_TRANS "${DRUMSTICK_PREFIX}/share/drumstick/drumstick-widgets_*.qm")
+elseif (EXISTS ${DRUMSTICK_PREFIX}/library/widgets/)
+    file(GLOB WIDGETS_TRANS "${DRUMSTICK_PREFIX}/library/widgets/drumstick-widgets_*.qm")
+endif()
+
 if (EMBED_TRANSLATIONS)
-    get_target_property(DRUMSTICK_LOCATION Drumstick::Widgets INTERFACE_INCLUDE_DIRECTORIES)
-    get_filename_component(DRUMSTICK_PREFIX ${DRUMSTICK_LOCATION} DIRECTORY)
-    file(GLOB WIDGETS_TRANS "${DRUMSTICK_PREFIX}/share/drumstick/drumstick-widgets_*.qm")
     file(COPY ${WIDGETS_TRANS} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
     add_app_translations_resource(APP_RES ${QM_FILES} ${WIDGETS_TRANS})
-    add_qt_translations_resource(QT_RES cs es ru)
+    add_qt_translations_resource(QT_RES cs de es fr gl it ru)
     list(APPEND SOURCES ${APP_RES} ${QT_RES})
+else()
+    if (APPLE)
+        set_source_files_properties (${WIDGETS_TRANS} PROPERTIES
+            MACOSX_PACKAGE_LOCATION Resources )
+        list (APPEND SOURCES ${WIDGETS_TRANS})
+    endif()
 endif()
 
 if (WIN32)
@@ -149,7 +183,14 @@
     endif ()
 endif ()
 
+include(GNUInstallDirs)
+add_subdirectory(docs)
+add_subdirectory(examples)
+
 if (APPLE)
+    set_source_files_properties (${EXAMPLES} PROPERTIES
+        MACOSX_PACKAGE_LOCATION Resources )
+    list (APPEND SOURCES ${EXAMPLES})
     set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/icons/${PROJECT_NAME}.icns)
     list (APPEND SOURCES ${ICON_FILE} ${QM_FILES})
     set (MACOSX_BUNDLE_ICON_FILE ${PROJECT_NAME}.icns)
@@ -158,7 +199,7 @@
     if (NOT EMBED_TRANSLATIONS)
         set_source_files_properties (${QM_FILES} PROPERTIES
             MACOSX_PACKAGE_LOCATION Resources)
-        add_qt_translations(QT_TRANSLATIONS cs es ru)
+        add_qt_translations(QT_TRANSLATIONS cs de es fr gl it ru)
         set_source_files_properties (${QT_TRANSLATIONS} PROPERTIES
             MACOSX_PACKAGE_LOCATION translations)
         list (APPEND SOURCES ${QT_TRANSLATIONS})
@@ -176,6 +217,9 @@
 )
 
 add_executable ( ${PROJECT_NAME} ${SOURCES} )
+if (BUILD_DOCS)
+    add_dependencies ( ${PROJECT_NAME} update_helpfiles )
+endif()
 
 target_link_libraries ( ${PROJECT_NAME} PRIVATE
     Qt${QT_VERSION_MAJOR}::Widgets
@@ -207,7 +251,7 @@
     MACOSX_BUNDLE_LONG_VERSION_STRING "${PROJECT_VERSION}"
     MACOSX_BUNDLE_SHORT_VERSION_STRING "${PROJECT_VERSION}"
     MACOSX_BUNDLE_BUNDLE_VERSION "${PROJECT_VERSION}"
-    MACOSX_BUNDLE_COPYRIGHT "Copyright © 2021, Pedro López-Cabanillas &lt;plcl@users.sf.net&gt;")
+    MACOSX_BUNDLE_COPYRIGHT "Copyright © 2021-2022, Pedro López-Cabanillas &lt;plcl@users.sf.net&gt;")
     target_link_libraries(${PROJECT_NAME} PRIVATE "-framework CoreFoundation -framework Cocoa")
 endif ()
 
@@ -220,11 +264,7 @@
         REVISION=${PROJECT_WC_REVISION} )
 endif()
 
-include(GNUInstallDirs)
-add_subdirectory(examples)
-
 if(UNIX AND NOT APPLE)
-    add_subdirectory(docs)
     add_subdirectory(icons)
     install(TARGETS ${PROJECT_NAME}
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
@@ -232,7 +272,7 @@
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME})
     install(FILES "net.sourceforge.dmidiplayer.desktop"
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
-    install(FILES "net.sourceforge.dmidiplayer.appdata.xml"
+    install(FILES "net.sourceforge.dmidiplayer.metainfo.xml"
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 
     # uninstall target
@@ -244,6 +284,25 @@
       add_custom_target ( uninstall
         COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
     endif()
+
+    find_package(Git)
+    if (Git_FOUND)
+        find_program(GZIP gzip)
+        find_program(BZIP2 bzip2)
+        if ((EXISTS ${GZIP}) AND (EXISTS ${BZIP2}))
+            set(ARCHNAME ${PROJECT_NAME}-${PROJECT_VERSION})
+            add_custom_target ( tarballs
+                COMMAND ${GIT_EXECUTABLE} archive --format=zip --prefix=${ARCHNAME}/ --output ${CMAKE_BINARY_DIR}/${ARCHNAME}.zip master
+                COMMAND ${GIT_EXECUTABLE} archive --format=tar --prefix=${ARCHNAME}/ master | ${GZIP} > ${CMAKE_BINARY_DIR}/${ARCHNAME}.tar.gz
+                COMMAND ${GIT_EXECUTABLE} archive --format=tar --prefix=${ARCHNAME}/ master | ${BZIP2} > ${CMAKE_BINARY_DIR}/${ARCHNAME}.tar.bz2
+                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+                COMMENT "Creating tarballs..."
+                VERBATIM )
+        else()
+            message(WARNING "Missing utilities for tarball creation")
+        endif()
+    endif()
+
 else()
     include(DeploymentUtils)
 endif()
