=== debian/changelog ===
dmidiplayer-dmo (1.7.1-dmo2) unstable; urgency=medium

  * Don't regenerate documentation with pandoc.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Mar 2023 08:05:17 +0100

dmidiplayer-dmo (1.7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Dec 2022 13:30:42 +0100

dmidiplayer-dmo (1.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Aug 2022 13:07:31 +0200

dmidiplayer-dmo (1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 May 2022 08:47:57 +0200

dmidiplayer-dmo (1.5.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Dec 2021 13:19:44 +0100

dmidiplayer-dmo (1.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Oct 2021 10:11:32 +0200

dmidiplayer-dmo (1.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Sep 2021 01:16:12 +0200

dmidiplayer-dmo (1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Aug 2021 13:12:59 +0200
