=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://sourceforge.net/projects/dmidiplayer/
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev,
- libuchardet-dev, libdrumstick-dev (>= 1:2.3.0~), qttools5-dev, pkg-config,
- pandoc
+ libuchardet-dev, libdrumstick-dev (>= 1:2.6.0), qttools5-dev, pkgconf,
+ quilt
 
 Package: dmidiplayer
 Architecture: any
