=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DUSE_QT=5 \
	-DBUILD_DOCS=OFF

#	exit 1

override_dh_clean:
#	find docs -name index.html -delete

	dh_clean

override_dh_auto_test:
