## dmidiplayer-dmo 1.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,32 @@
-# Drumstick MIDI File Player Multiplatform Program
-# Copyright (C) 2006-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-cmake_minimum_required(VERSION 3.14)
+#[==========================================================================[
+Drumstick MIDI File Player Multiplatform Program
+Copyright (C) 2006-2024 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program. If not, see <http://www.gnu.org/licenses/>.
+#]==========================================================================]
+
+cmake_minimum_required(VERSION 3.16)
 
 project ( dmidiplayer
-    VERSION 1.7.1
+    VERSION 1.7.5
     LANGUAGES CXX
     DESCRIPTION "Drumstick MIDI File Player Multiplatform Program"
     HOMEPAGE_URL "https://sourceforge.net/p/dmidiplayer/"
 )
 
-set(PROJECT_RELEASE_DATE "Dec 6, 2022")
-set(CMAKE_CXX_STANDARD 11)
+set(PROJECT_RELEASE_DATE "December 30, 2024")
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -35,28 +37,30 @@
 
 option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
-option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
+option(USE_QT5 "Choose to build with Qt5 instead of Qt6" OFF)
+
+# CMAKE_SYSTEM_PROCESSOR is broken on Windows with MSVC
+# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2024/12
+if(MSVC)
+    string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} CMAKE_SYSTEM_PROCESSOR)
+endif()
 
 include(SCMRevision)
 
-if (USE_QT)
-    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
-        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
-    endif()
-    find_package(QT NAMES Qt${USE_QT})
-else()
-    find_package(QT NAMES Qt5 Qt6)
-endif()
-
-find_package (Qt${QT_VERSION_MAJOR} 5.15 COMPONENTS Gui Widgets PrintSupport LinguistTools REQUIRED)
-if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
-    find_package (Qt6Core5Compat REQUIRED)
-endif()
-
-find_package (Drumstick 2.7 COMPONENTS File RT Widgets REQUIRED)
-
-find_package ( PkgConfig )
-pkg_check_modules( UCHARDET REQUIRED IMPORTED_TARGET uchardet )
+if (USE_QT5)
+    find_package( QT NAMES Qt5 REQUIRED)
+else()
+    find_package( QT NAMES Qt6 REQUIRED)
+endif()
+
+if(QT_VERSION VERSION_LESS 6.0.0)
+    find_package ( Qt5 5.15 COMPONENTS Gui Widgets PrintSupport LinguistTools REQUIRED )
+else()
+    find_package ( Qt6 6.2 COMPONENTS Gui Widgets PrintSupport LinguistTools Core5Compat REQUIRED )
+endif()
+
+find_package ( Drumstick 2.10 COMPONENTS File RT Widgets REQUIRED )
+find_package ( uchardet 0.0.8 COMPONENTS libuchardet REQUIRED )
 
 SET(SOURCES
     channels.cpp
@@ -146,6 +150,10 @@
 get_filename_component(DRUMSTICK_PREFIX ${DRUMSTICK_LOCATION} DIRECTORY)
 get_filename_component(DRUMSTICK_PREFIX ${DRUMSTICK_PREFIX} DIRECTORY)
 
+get_target_property(UCHARDET_LOCATION uchardet::libuchardet LOCATION)
+get_filename_component(UCHARDET_PREFIX ${UCHARDET_LOCATION} DIRECTORY)
+get_filename_component(UCHARDET_PREFIX ${UCHARDET_PREFIX} DIRECTORY)
+
 if (EXISTS ${DRUMSTICK_PREFIX}/share/drumstick/)
     file(GLOB WIDGETS_TRANS "${DRUMSTICK_PREFIX}/share/drumstick/drumstick-widgets_*.qm")
 elseif (EXISTS ${DRUMSTICK_PREFIX}/library/widgets/)
@@ -166,8 +174,11 @@
 endif()
 
 if (WIN32)
+    include (InstallRequiredSystemLibraries)
+    install (FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS}
+             DESTINATION .)
     set(FLUIDSYNTH_PREFIX $ENV{FLUIDSYNTH})
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.nsi.in
+    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_msvc.nsi.in
         ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.nsi IMMEDIATE @ONLY)
     configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc.in
         ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.rc IMMEDIATE @ONLY)
@@ -213,7 +224,7 @@
      Processor: ${CMAKE_SYSTEM_PROCESSOR}
      Qt Version: ${QT_VERSION}
      Drumstick Version: ${Drumstick_VERSION}
-     Uchardet Version: ${UCHARDET_VERSION}"
+     Uchardet Version: ${uchardet_VERSION}"
 )
 
 add_executable ( ${PROJECT_NAME} ${SOURCES} )
@@ -227,7 +238,7 @@
     Drumstick::File
     Drumstick::RT
     Drumstick::Widgets
-    PkgConfig::UCHARDET
+    uchardet::libuchardet
 )
 
 if (QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
@@ -251,7 +262,7 @@
     MACOSX_BUNDLE_LONG_VERSION_STRING "${PROJECT_VERSION}"
     MACOSX_BUNDLE_SHORT_VERSION_STRING "${PROJECT_VERSION}"
     MACOSX_BUNDLE_BUNDLE_VERSION "${PROJECT_VERSION}"
-    MACOSX_BUNDLE_COPYRIGHT "Copyright © 2021-2022, Pedro López-Cabanillas &lt;plcl@users.sf.net&gt;")
+    MACOSX_BUNDLE_COPYRIGHT "Copyright © 2021-2024, Pedro López-Cabanillas &lt;plcl@users.sf.net&gt;")
     target_link_libraries(${PROJECT_NAME} PRIVATE "-framework CoreFoundation -framework Cocoa")
 endif ()
