=== debian/changelog ===
dmidiplayer-dmo (1.7.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Dec 2024 15:02:01 +0100

dmidiplayer-dmo (1.7.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Aug 2024 15:24:55 +0200

dmidiplayer-dmo (1.7.3-dmo3) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 07:59:10 +0200

dmidiplayer-dmo (1.7.3-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2024 09:35:42 +0100

dmidiplayer-dmo (1.7.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Oct 2023 08:43:51 +0200

dmidiplayer-dmo (1.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Jul 2023 08:51:48 +0200

dmidiplayer-dmo (1.7.1-dmo3) unstable; urgency=medium

  * Build with Qt6

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Jun 2023 16:09:59 +0200
