=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://sourceforge.net/projects/dmidiplayer/
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev,
- libuchardet-dev, libdrumstick-dev (>= 1:2.6.0), qttools5-dev, pkgconf,
- quilt
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake (>= 3.16), ninja-build, pkgconf,
+ libuchardet-dev (>= 0.0.8), libdrumstick-dev (>= 1:2.10~), qt6-base-dev,
+ qt6-tools-dev, qt6-5compat-dev
 
 Package: dmidiplayer
 Architecture: any
